
%define oname sylpheed-claws
%define claws_version 1:2.5.0
%define cvs cvs060915

Summary:    This package contains additional plugins for %{oname}
Name:       %{oname}-plugins
Version:    2.5.0
Release:    %mkrel 0.%{cvs}.1
Group:      Networking/Mail
License:    GPL
URL:        http://sylpheed-claws.sourceforge.net/downloads/
Source:     %{oname}-extra-plugins-%{version}%{cvs}.tar.bz2  
Buildroot:  %{_tmppath}/%{name}-buildroot
BuildRequires:  %{oname}-devel = %{claws_version}
BuildRequires:  synce-devel
BuildRequires:  libetpan-devel >= 0.42
BuildRequires:  perl-devel
BuildRequires:  curl-devel
BuildRequires:  byacc
BuildRequires:  flex
BuildRequires:  automake1.9
BuildRequires:  libgtkhtml2-devel
Requires:   %{oname} = %{claws_version}

%description
This package contains additional plugins for %{oname}:
%{oname}-acpi-plugin,
%{oname}-att_remover-plugin,
%{oname}-cachesaver-plugin,
%{oname}-etpan-privacy-plugin,
%{oname}-fetchinfo-plugin,
%{oname}-maildir-plugin,
%{oname}-mailmbox-plugin,
%{oname}-notification-plugin,
%{oname}-perl-plugin,
%{oname}-rssyl-plugin,
%{oname}-smime-plugin,
%{oname}-synce-plugin,
%{oname}-vcalendar-plugin.


%package -n %{oname}-acpi-plugin
Summary:    This plugin enables mail notification via LEDs on some laptops
Group:      Networking/Mail
Requires:   %{oname} = %{claws_version}

%description -n %{oname}-acpi-plugin
This plugin for %{oname} enables mail notification via LEDs
on some laptops.

%package -n %{oname}-att_remover-plugin
Summary:    This plugin for %{oname} enables the removal of attachments
Group:      Networking/Mail
Requires:   %{oname} = %{claws_version}

%description -n %{oname}-att_remover-plugin
This plugin for %{oname} enables the removal of attachments.

%package -n %{oname}-cachesaver-plugin
Summary:    This plugin for %{oname} saves the caches every minute
Group:      Networking/Mail
Requires:   %{oname} = %{claws_version}
Provides:   sylpheed-claws2-cachesaver-plugin
Obsoletes:  sylpheed-claws2-cachesaver-plugin

%description -n %{oname}-cachesaver-plugin
This plugin for %{oname} saves the caches every minute. It helps
in avoiding the loss of metadata on crashes. 

%package -n %{oname}-etpan-privacy-plugin
Summary:    This plugin handles verification and decryption of encrypted messages
Group:      Networking/Mail
Requires:   %{oname} = %{claws_version}
Provides:   sylpheed-claws2-etpan-privacy-plugin
Obsoletes:  sylpheed-claws2-etpan-privacy-plugin

%description -n %{oname}-etpan-privacy-plugin
This plugin handles signature verification and decryption of encrypted
messages in S/MIME, OpenPGP, and ascii-armored PGP formats.

%package -n %{oname}-fetchinfo-plugin
Summary:    This plugin inserts headers containing some download information
Group:      Networking/Mail
Requires:   %{oname} = %{claws_version}
Provides:   sylpheed-claws2-fetchinfo-plugin
Obsoletes:  sylpheed-claws2-fetchinfo-plugin

%description -n %{oname}-fetchinfo-plugin
This plugin for %{oname} inserts headers containing some download
information: UIDL, Sylpheeds account name, POP server, user ID
and retrieval time.

%package -n %{oname}-maildir-plugin
Summary:    This plugin provides direct access to maildir folders
Group:      Networking/Mail
Requires:   %{oname} = %{claws_version}
Provides:   sylpheed-claws2-maildir-plugin
Obsoletes:  sylpheed-claws2-maildir-plugin

%description -n %{oname}-maildir-plugin
This plugin for %{oname} provides direct access to maildir folders.

%package -n %{oname}-mailmbox-plugin
Summary:    This plugin provides direct access to mbox folders
Group:      Networking/Mail
Requires:   %{oname} = %{claws_version}
Provides:   sylpheed-claws2-mailmbox-plugin
Obsoletes:  sylpheed-claws2-mailmbox-plugin

%description -n %{oname}-mailmbox-plugin
This plugin for %{oname} provides direct access to mbox folders

%package -n %{oname}-newmail-plugin
Summary:    This plugin can write a summary to a log file
Group:      Networking/Mail
Requires:   %{oname} = %{claws_version}

%description -n %{oname}-newmail-plugin
This plugin for %{oname} can write a summary to a log file upon
receiving new mail. It defaults to ~/Mail/NewLog.

%package -n %{oname}-notification-plugin
Summary:        This plugin notify from new mail
Group:          Networking/Mail
Requires:       %{oname} = %{claws_version}

%description -n %{oname}-notification-plugin
This plugin for %{oname} notify from new incoming mail.

%package -n %{oname}-perl-plugin
Summary:    Perl interface to %{oname}s' filtering mechanism
Group:      Networking/Mail
Requires:   %{oname} = %{claws_version}
Provides:   sylpheed-claws2-perl-plugin
Obsoletes:  sylpheed-claws2-perl-plugin
Provides:   sylpheed-claws-perl_plugin-plugin
Obsoletes:  sylpheed-claws-perl_plugin-plugin

%description -n %{oname}-perl-plugin
This plugin is intended to extend the filtering possibilities
of %{oname}. It provides a Perl interface to %{oname}s'
filtering mechanism, allowing the use of full Perl power in
email filters.

%package -n %{oname}-rssyl-plugin
Summary:    This plugin allows you to read your favorite newsfeeds in %{oname}
Group:      Networking/Mail
Requires:   %{oname} = %{claws_version}

%description -n %{oname}-rssyl-plugin
This plugin allows you to read your favorite newsfeeds in %{oname}.
RSS 1.0, 2.0 and Atom feeds are currently supported.

%package -n %{oname}-smime-plugin
Summary:        This plugin allow to use smine in mail
Group:          Networking/Mail
Requires:       %{oname} = %{claws_version}

%description -n %{oname}-smime-plugin
This plugin for %{oname} allow to use smime in mail.

%package -n %{oname}-synce-plugin
Summary:    This plugin assists in syncing the addressbook
Group:      Networking/Mail
Requires:   %{oname} = %{claws_version}
Provides:   sylpheed-claws2-synce-plugin
Obsoletes:  sylpheed-claws2-synce-plugin

%description -n %{oname}-synce-plugin
This plugin assists in keeping the addressbook of a Windows CE
device (Pocket PC/ iPAQ, Smartphone etc) in sync with %{oname}s'
addressbook, with respect to email addresses.

%package -n %{oname}-vcalendar-plugin
Summary:    This plugin for %{oname} enables vCalendar message handling
Group:      Networking/Mail
Requires:   %{oname} = %{claws_version}
Provides:   sylpheed-claws2-vcalendar-plugin
Obsoletes:  sylpheed-claws2-vcalendar-plugin

%description -n %{oname}-vcalendar-plugin
This %{oname} plugin handles the vCalendar format (or rather, the
meeting subset of it). It displays such mails in a nice format, lets you
create and send meetings, and creates a virtual folder with the meetings you
have sent or received.

%package -n %{oname}-gtkhtml2_viewer-plugin
Summary:        This plugin for %{oname} enables gtkhtml2 viewer
Group:          Networking/Mail
Requires:       %{oname} = %{claws_version}
Provides:       sylpheed-claws2-gtkhtml2_viewer-plugin
Obsoletes:      sylpheed-claws2-gtkhtml2_viewer-plugin

%description -n %{oname}-gtkhtml2_viewer-plugin
This %{oname} plugin provides gtkhtml2 viewer.


%prep 
%setup -q -c

%build
cd sylpheed-claws-extra-plugins-%{version}%{cvs}
mv ./* ../
cd -
rmdir sylpheed-claws-extra-plugins-%{version}%{cvs}  
rm -rf CVS/ pgpinline/
for i in `find ./* -maxdepth 0  -type d`
    do
    cd $i
    #./autogen.sh
    %configure2_5x
    %make
    cd -
done
 
%install
rm -rf $RPM_BUILD_ROOT

SYLPHEED_CLAWS_PLUGINDIR=$(pkg-config --variable=plugindir sylpheed-claws)

for i in `find ./* -maxdepth 0  -type d`
    do
    cd $i
    %makeinstall_std SYLPHEED_CLAWS_PLUGINDIR=$SYLPHEED_CLAWS_PLUGINDIR
    cd -
done

# remove devel files from plugins
rm -rf ${RPM_BUILD_ROOT}/%{_libdir}/%{oname}/plugins/*.a
#CAE have to rm to prevent conflict libical-devel
#Handled upstream
#rm -f ${RPM_BUILD_ROOT}/%{_includedir}/ical.h 
 
# fix permissions
chmod 644 vcalendar*/AUTHORS vcalendar*/COPYING vcalendar*/INSTALL vcalendar*/NEWS vcalendar*/README

%find_lang  %{oname}-acpi-plugin 
%find_lang  %{oname}-gtkhtml2_viewer-plugin 
%find_lang  %{oname}-vcalendar-plugin 
%find_lang  %{oname}-rssyl-plugin

%clean
rm -rf %{buildroot} 


%files -n %{oname}-acpi-plugin -f %{oname}-acpi-plugin.lang
%defattr(-,root,root)
%doc acpi*/AUTHORS
%doc acpi*/COPYING
%doc acpi*/ChangeLog
%doc acpi*/INSTALL
%doc acpi*/NEWS
%doc acpi*/README
%{_libdir}/%{oname}/plugins/acpi*
%lang(all) %{_datadir}/locale/*/LC_MESSAGES/acpi_notifier.mo
 

%files -n %{oname}-att_remover-plugin
%defattr(-,root,root)
%doc att_remover*/AUTHORS
%doc att_remover*/COPYING
%doc att_remover*/ChangeLog
%doc att_remover*/INSTALL
%doc att_remover*/NEWS
%doc att_remover*/README 
%{_libdir}/%{oname}/plugins/att_remover*

%files -n %{oname}-cachesaver-plugin
%defattr(-,root,root) 
%doc cachesaver*/AUTHORS
%doc cachesaver*/COPYING
%doc cachesaver*/ChangeLog
%doc cachesaver*/INSTALL 
%{_libdir}/%{oname}/plugins/cachesaver*

%files -n %{oname}-etpan-privacy-plugin
%defattr(-,root,root)
%doc etpan-privacy*/AUTHORS
%doc etpan-privacy*/COPYING
%doc etpan-privacy*/ChangeLog
%doc etpan-privacy*/INSTALL 
%doc etpan-privacy*/README
%{_libdir}/%{oname}/plugins/etpan*

%files -n %{oname}-fetchinfo-plugin
%defattr(-,root,root)
%doc fetchinfo*/COPYING
%doc fetchinfo*/ChangeLog 
%doc fetchinfo*/INSTALL 
%doc fetchinfo*/README 
%{_libdir}/%{oname}/plugins/fetchinfo*

%files -n %{oname}-maildir-plugin
%defattr(-,root,root)
%doc maildir*/AUTHORS
%doc maildir*/COPYING
%doc maildir*/ChangeLog
%doc maildir*/INSTALL
%doc maildir*/NEWS
%doc maildir*/README  
%{_libdir}/%{oname}/plugins/maildir*

%files -n %{oname}-mailmbox-plugin
%defattr(-,root,root)
%doc mailmbox*/AUTHORS
%doc mailmbox*/COPYING 
%doc mailmbox*/ChangeLog
%doc mailmbox*/INSTALL 
%doc mailmbox*/README
%{_libdir}/%{oname}/plugins/mailmbox*

%files -n %{oname}-newmail-plugin
%defattr(-,root,root)
%doc newmail*/AUTHORS
%doc newmail*/COPYING
%doc newmail*/ChangeLog
%doc newmail*/INSTALL
%doc newmail*/NEWS
%doc newmail*/README
%{_libdir}/%{oname}/plugins/newmail*

%files -n %{oname}-notification-plugin
%defattr(-,root,root)
%doc notif*/AUTHORS
%doc notif*/COPYING
%doc notif*/ChangeLog
%doc notif*/INSTALL
%doc notif*/NEWS
%doc notif*/README 
%{_libdir}/%{oname}/plugins/noti*

%files -n %{oname}-perl-plugin
%defattr(-,root,root)
%doc perl*/AUTHORS
%doc perl*/COPYING
%doc perl*/ChangeLog
%doc perl*/INSTALL
%doc perl*/NEWS
%doc perl*/README
%doc perl*/sc_perl.pod 
%{_libdir}/%{oname}/plugins/perl*

%files -n %{oname}-rssyl-plugin -f %{oname}-rssyl-plugin.lang
%doc rssyl*/AUTHORS
%doc rssyl*/COPYING
%doc rssyl*/ChangeLog
%doc rssyl*/INSTALL
%doc rssyl*/NEWS 
%{_libdir}/%{oname}/plugins/rssyl*
%lang(all) %{_datadir}/locale/*/LC_MESSAGES/rssyl.mo
 
%files -n %{oname}-smime-plugin
%defattr(-,root,root)
%doc smim*/COPYING
%doc smim*/ChangeLog
%doc smim*/INSTALL
%doc smim*/NEWS 
%doc smim*/README
%{_libdir}/%{oname}/plugins/smim*

%Files -n %{oname}-synce-plugin
%defattr(-,root,root)
%doc synce*/AUTHORS
%doc synce*/COPYING
%doc synce*/ChangeLog 
%doc synce*/NEWS
%doc synce*/README 
%{_libdir}/%{oname}/plugins/synce*

%files -n %{oname}-vcalendar-plugin
%defattr(-,root,root)
%doc vcalendar*/AUTHORS
%doc vcalendar*/COPYING
%doc vcalendar*/ChangeLog
%doc vcalendar*/INSTALL
%doc vcalendar*/NEWS
%doc vcalendar*/README 
%{_libdir}/%{oname}/plugins/vcalendar*
%{_includedir}/ical.h
%lang(all) %{_datadir}/locale/*/LC_MESSAGES/vcalendar.mo 

%files -n %{oname}-gtkhtml2_viewer-plugin -f %{oname}-gtkhtml2_viewer-plugin.lang
%defattr(-,root,root)
%doc gtkhtml2*/AUTHORS
%doc gtkhtml2*/COPYING
%doc gtkhtml2*/ChangeLog
%doc gtkhtml2*/INSTALL
%doc gtkhtml2*/NEWS
%doc gtkhtml2*/README
%{_libdir}/%{oname}/plugins/gtkhtml2_viewer*
%lang(all) %{_datadir}/locale/*/LC_MESSAGES/gtkhtml2_viewer.mo
 
%changelog
* Sat Sep 16 2006 Charles A Edwards <eslrahc@mandriva.org> 2.5.0-0.cvs060915.1mdv2007.0
- update all extra plugins to latest CVS (#25798)

* Wed Sep 06 2006 Charles A Edwards <eslrahc@mandriva.org> 2.4.0-4mdv2007.0
- rebuild for claws-2.5.0rc3 and adjust for epoch usage
- use vcalendar from CVS and re-enable plugin

* Wed Sep 06 2006 Charles A Edwards <eslrahc@mandriva.org> 2.4.0-4mdv2007.0
- rebuild for claws-2.5.0rc3

* Fri Sep 01 2006 Charles A Edwards <eslrahc@mandriva.org> 2.4.0-3mdv2007.0
- rebuild for claws-2.5.0rc2
- use cvs versions for perl source 1 
- disable vcalendar-plugin
 
* Mon Aug 14 2006 Charles A Edwards <eslrahc@mandriva.org> 2.4.0-2mdv2007.0
- rebuild for claws-2.5.0-rc1

* Wed Aug 02 2006 Charles A Edwards <eslrahc@mandriva.org> 2.4.0-1mdv2007.0
- 2.4.0
- drop source1...no longer needed

* Mon Jul 31 2006 Charles A Edwards <eslrahc@mandriva.org> 2.3.0-6mdv2007.0
- rebuild for Claws-2.4.0 final

* Tue Jul 18 2006 Charles A Edwards <eslrahc@mandriva.org> 2.3.0-5mdv2007.0
- rebuild for 2.4.0-rc4


* Fri Jul 07 2006 Charles A Edwards <eslrahc@mandriva.org> 2.3.0-4mdv2007.0 
- rebuilf for claws-2.4.0-rc3

* Wed Jun 28 2006 Charles A Edwards <eslrahc@mandriva.org> 2.3.0-3mdv2007.0 
- add S1..vcalendar from cvs (1.79.1 does not build with claws-2.4.0)
- add claws version R and BR
- misc rpmlint fixes

* Tue Jun 13 2006 Charles A Edwards <eslrahc@mandriva.org> 2.3.0-2mdv2007.0 
- include .lang where used
- include complete doc in each pkg

* Tue Jun 13 2006 Jerome Soyer <saispo@mandriva.org> 2.3.0-1mdv2007.0
- New release 2.3.0

* Mon May 29 2006 Pascal Terjan <pterjan@mandriva.org> 2.2.0-3mdv2007.0
- fix build on x86_64

* Tue May 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.0-2mdk
- Fix BuildRequires

* Mon May 08 2006 Jerome Soyer <saispo@mandriva.org> 2.2.0-1mdk
- New version 2.2.0
- Readd SMIME plugin

* Sun May 07 2006 Jerome Soyer <saispo@mandriva.org> 2.1.0-2mdk
- Rebuild for the new version

* Sat Apr 07 2006 Jerome Soyer <saispo@mandriva.org> 2.1.0-1mdk
- Update plugins

* Mon Mar 06 2006 Marcel Pol <mpol@mandriva.org> 2.0.0-4mdk
- buildrequires flex

* Sun Feb 12 2006 Marcel Pol <mpol@mandriva.org> 2.0.0-3mdk
- buildrequires byacc

* Sat Feb 11 2006 Marcel Pol <mpol@mandriva.org> 2.0.0-2mdk
- buildrequires curl-devel

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 2.0.0-1mdk
- 2.0.0
- work around packaging in subdir
- drop newmail plugin for now

* Sun Jan 15 2006 Marcel Pol <mpol@mandriva.org> 2.0.0-0.rc4.1mdk
- cvs packaging of plugins at time of 2.0.0-rc4 release which
  is 20060115
- add att_remover, newmail and rssyl plugins
- fix descriptions to use %%{oname} instead of %%{name}
- update filelist
- remove locale files for now
- buildrequires libetpan >= 0.42

* Sun Dec 04 2005 Marcel Pol <mpol@mandriva.org> 1.9.100-1mdk
- 1.9.100

* Fri Nov 04 2005 Marcel Pol <mpol@mandriva.org> 1.9.99-4mdk
- update to real 1.9.99 release
- drop P1,2,3
- add acpi plugin

* Fri Oct 21 2005 Marcel Pol <mpol@mandriva.org> 1.9.99-3mdk
- fix obsolete and provide sylpheed-claws-maildir-plugin

* Fri Oct 21 2005 Marcel Pol <mpol@mandriva.org> 1.9.99-2mdk
- obsolete and provide sylpheed-claws-perl_plugin-plugin

* Thu Oct 20 2005 Marcel Pol <mpol@mandriva.org> 1.9.99-1mdk
- obsolete and provide sylpheed-claws-perl_plugin-plugin

* Thu Oct 20 2005 Marcel Pol <mpol@mandriva.org> 1.9.99-1mdk
- update external version to 1.9.99
  and build against sylpheed-claws-1.9.99-rc2
- merge changes from sylpheed-claws2-plugins
- update perl plugin to 0.4
- update vcalendar plugin to 1.7
- P1, 2, 3: update maildir, mailmbox and vcalendar from cvs for new API
- provide and obsolete claws2-plugins for upgrade from mdk 2006

* Mon Sep 05 2005 Marcel Pol <mpol@mandriva.org> 1.9.13-3mdk
- (build)requires >= version of sylpheed-claws2

* Wed Aug 31 2005 Marcel Pol <mpol@mandriva.org> 1.9.13-2mdk
- buildrequires synce-devel libetpan-devel perl-devel

* Thu Jul 28 2005 Marcel Pol <mpol@mandriva.org> 1.9.13-1mdk
- initial Mandriva package

 
